# Uses of Class
org.apache.cxf.service.model.MessageInfo

Packages that use MessageInfo
Package
Description
org.apache.cxf.interceptor
org.apache.cxf.service
org.apache.cxf.service.model

- ## Uses of MessageInfo in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return MessageInfo
  Modifier and Type
  Method
  Description
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`getMessageInfo(Message message, BindingOperationInfo operation)`
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`getMessageInfo(Message message, BindingOperationInfo operation, boolean requestor)`
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`setMessage(Message message, BindingOperationInfo operation, boolean requestor, ServiceInfo si, MessageInfo msgInfo)`
  Methods in org.apache.cxf.interceptor with parameters of type MessageInfo
  Modifier and Type
  Method
  Description
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`setMessage(Message message, BindingOperationInfo operation, boolean requestor, ServiceInfo si, MessageInfo msgInfo)`

- ## Uses of MessageInfo in org.apache.cxf.service

  Methods in org.apache.cxf.service with parameters of type MessageInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceModelVisitor.`begin(MessageInfo msg)`
  `void`
  ServiceModelVisitor.`end(MessageInfo msg)`

- ## Uses of MessageInfo in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return MessageInfo
  Modifier and Type
  Method
  Description
  `MessageInfo`
  OperationInfo.`createMessage(QName nm, MessageInfo.Type type)`
  `MessageInfo`
  OperationInfo.`getInput()`
  `MessageInfo`
  ServiceInfo.`getMessage(QName qname)`
  `MessageInfo`
  BindingMessageInfo.`getMessageInfo()`
  `MessageInfo`
  OperationInfo.`getOutput()`
  Methods in org.apache.cxf.service.model that return types with arguments of type MessageInfo
  Modifier and Type
  Method
  Description
  `Map<QName,MessageInfo>`
  ServiceInfo.`getMessages()`
  Methods in org.apache.cxf.service.model with parameters of type MessageInfo
  Modifier and Type
  Method
  Description
  `void`
  OperationInfo.`setInput(String nm, MessageInfo in)`
  `void`
  UnwrappedOperationInfo.`setInput(String nm, MessageInfo in)`
  `void`
  OperationInfo.`setOutput(String nm, MessageInfo out)`
  `void`
  UnwrappedOperationInfo.`setOutput(String nm, MessageInfo out)`
  Method parameters in org.apache.cxf.service.model with type arguments of type MessageInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceInfo.`setMessages(Map<QName,MessageInfo> msgs)`
  Constructors in org.apache.cxf.service.model with parameters of type MessageInfo
  Modifier
  Constructor
  Description
  `protected`
  `BindingMessageInfo(MessageInfo m, BindingOperationInfo boi)`